can't mount camera using usb from hub

Asked by lvlvsobeah on 2008-11-09

when trying to upload photos from camera to my system it won't mount.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
cubells
Solved:
2008-11-10
Last query:
2008-11-10
Last reply:
2008-11-09
cubells (cubells) said : #1

I need more information so that I can help you.

Execute (Application>Accessories>Terminal):

$ sudo aptitude full-upgrade

and attach all the messages you get...

cubells (cubells) said : #2

I need more information so that I can help you.

Execute (Application>Accessories>Terminal):

$ sudo aptitude full-upgrade

and attach all the messages you get...

lvlvsobeah (lvlvsobeah) said : #3

ubuntu@ubuntu:~$ sudo aptitude full-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Initializing package states... Done
Writing extended state information... Done
The following partially installed packages will be configured:
  dkms linux-image linux-image-2.6.27-7-generic linux-image-generic
  nvidia-177-kernel-source nvidia-glx-177
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Setting up linux-image-2.6.27-7-generic (2.6.27-7.16) ...
Running depmod.
update-initramfs is disabled since running on a live CD
Failed to symbolic-link /boot/initrd.img-2.6.27-7-generic to initrd.img.
dpkg: error processing linux-image-2.6.27-7-generic (--configure):
 subprocess post-installation script returned error exit status 17
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-2.6.27-7-generic; however:
  Package linux-image-2.6.27-7-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image:
 linux-image depends on linux-image-generic (= 2.6.27.7.11); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-image (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of dkms:
 dkms depends on linux-image; however:
  Package linux-image is not configured yet.
  Package linux-image-2.6.27-7-generic which provides linux-image is not configured yet.
dpkg: error processing dkms (--configure):
 dependency No apport report written because the error message indicates its a followup error from a previous failure.
                                      No apport report written because the error message indicates its a followup error from a previous failure.
                                                                No apport report written because MaxReports is reached already
                                              No apport report written because MaxReports is reached already
                            No apport report written because MaxReports is reached already
          problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nvidia-177-kernel-source:
 nvidia-177-kernel-source depends on dkms; however:
  Package dkms is not configured yet.
dpkg: error processing nvidia-177-kernel-source (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nvidia-glx-177:
 nvidia-glx-177 depends on nvidia-177-kernel-source (>= 177.80); however:
  Package nvidia-177-kernel-source is not configured yet.
dpkg: error processing nvidia-glx-177 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.27-7-generic
 linux-image-generic
 linux-image
 dkms
 nvidia-177-kernel-source
 nvidia-glx-177
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up linux-image-2.6.27-7-generic (2.6.27-7.16) ...
Running depmod.
update-initramfs is disabled since running on a live CD
Failed to symbolic-link /boot/initrd.img-2.6.27-7-generic to initrd.img.
dpkg: error processing linux-image-2.6.27-7-generic (--configure):
 subprocess post-installation script returned error exit status 17
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-2.6.27-7-generic; however:
  Package linux-image-2.6.27-7-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image:
 linux-image depends on linux-image-generic (= 2.6.27.7.11); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-image (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of dkms:
 dkms depends on linux-image; however:
  Package linux-image is not configured yet.
  Package linux-image-2.6.27-7-generic which provides linux-image is not configured yet.
dpkg: error processing dkms (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nvidia-177-kernel-source:
 nvidia-177-kernel-source depends on dkms; however:
  Package dkms is not configured yet.
dpkg: error processing nvidia-177-kernel-source (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nvidia-glx-177:
 nvidia-glx-177 depends on nvidia-177-kernel-source (>= 177.80); however:
  Package nvidia-177-kernel-source is not configured yet.
dpkg: error processing nvidia-glx-177 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.27-7-generic
 linux-image-generic
 linux-image
 dkms
 nvidia-177-kernel-source
 nvidia-glx-177
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done

ubuntu@ubuntu:~$
i am running ubuntu 8.10 from a usb flash drive on a 64amd system
i hope you can assist me
thanks

cubells (cubells) said : #4

execute:

$ sudo dpkg-reconfigure --force linux-image-2.6.27-7-generic

Cheers

Which tools have you used to make your Ubuntu 8.10 usb flash drive...?

Thank you

lvlvsobeah (lvlvsobeah) said : #6

ran command line above and got this message
ubuntu@ubuntu:~$ sudo dpkg-reconfigure --force linux-image-2.6.27-7-generic
Running depmod.
update-initramfs is disabled since running on a live CD
Failed to symbolic-link /boot/initrd.img-2.6.27-7-generic to initrd.img.
ubuntu@ubuntu:~$

i used administration>create usb startup disc

hope this helps
thanks

Best cubells (cubells) said : #7

Dear lvlvsobeah,
you can upgrade your usb disc because the usb startup up disc application create a liveCD and a liveCD has a read only file system.

That application is good for create a liveCD on a usb key/disc and then, from that usb disc, install ubuntu on a computer simply connecting the key on it.

If you want to install ubuntu on your extern usb disc, you have to install ubuntu on a computer but during the installation process, when you have to choose the partition on which ubuntu will be installed, you have to choose the partition allocated in the extern disc.

Is that your problem?

(Sorry, my english is too limited)

lvlvsobeah (lvlvsobeah) said : #8

sorry my stupidity is limitless
did not read code answers just copied and pasted
this solves my problem
thankyou very much for your help cubells
and your english id fine